View Issue Details

IDProjectCategoryView StatusLast Update
0000923luatexluatex bugpublic2015-03-21 14:55
ReportererouxAssigned Toluigi scarso 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.79.1 
Target VersionFixed in Version 
Summary0000923: strange minus value appearing randomly when attribute is unset and immediate write is called
DescriptionFollowing example

\attribute0=-"7FFFFFFF\relax
\immediate\write-1{Anything}
\immediate\write-1{Anything}
\skip0=1pt plus 100pt\relax
\showthe\skip0
\bye

outputs

1.0pt plus 100.0pt minus 0.00002pt.

while

\skip0=1pt plus 100pt\relax
\showthe\skip0
\bye

outputs

1.0pt plus 100.0pt minus 0.00002pt.
TagsNo tags attached.

Activities

eroux

2015-01-26 18:28

reporter   ~0001307

Sorry, the second outputs

1.0pt plus 100.0pt.

(which is correct, unlike the other)

luigi scarso

2015-01-26 19:21

developer   ~0001308

Thank you for the report. We are investigating.

Hans Hagen

2015-01-27 09:36

manager   ~0001309

The creation of certain whatsit nodes seems to increment the minus part of the constant zero gluespec so it is cummulative. Each write creates a node. A workaround is to set the zero attribute to some value before the first write.

(FWIW: in context attr zero always has a value which is why it went unnoticed.)

luigi scarso

2015-01-28 16:32

developer   ~0001310

Fixed in the upcoming 0.80 (TexLive 2015)

Issue History

Date Modified Username Field Change
2015-01-26 18:17 eroux New Issue
2015-01-26 18:28 eroux Note Added: 0001307
2015-01-26 19:21 luigi scarso Note Added: 0001308
2015-01-27 09:36 Hans Hagen Note Added: 0001309
2015-01-27 09:36 Hans Hagen Assigned To => luigi scarso
2015-01-27 09:36 Hans Hagen Status new => assigned
2015-01-28 16:32 luigi scarso Note Added: 0001310
2015-03-21 14:55 Hans Hagen Status assigned => closed
2015-03-21 14:55 Hans Hagen Resolution open => fixed